commit 90c718dec540095c4eab0bfbde60d3d09d7e2012
Author: liuhongt <hongtao.liu@intel.com>
Date:   Fri Jan 9 02:46:38 2026

    Add TARGET_MMX_WITH_SSE to the condition of all 64-bit _Float16 vector related patterns.
    
    gcc/ChangeLog:
    
            PR target/123484
            * config/i386/mmx.md (divv4hf3): Add TARGET_MMX_WITH_SSE to
            the condition.
            (cmlav4hf4): Ditto.
            (cmla_conjv4hf4): Ditto.
            (cmulv4hf3): Ditto.
            (cmul_conjv4hf3): Ditto.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/i386/pr123484.c: New test.
    
    (cherry picked from commit 808fc71d15a458cc627f187449fac4f2b6d6cb3f)

diff --git a/gcc/testsuite/gcc.target/i386/pr123484.c b/gcc/testsuite/gcc.target/i386/pr123484.c
new file mode 100644
index 00000000000..258da40793a
--- /dev/null
+++ b/gcc/testsuite/gcc.target/i386/pr123484.c
@@ -0,0 +1,17 @@
+/* { dg-do compile } */
+/* { dg-options "-O2 -mavx512vl -mavx512fp16 " }*/
+typedef __attribute__((__vector_size__ (8))) _Float16 F;
+int a, b;
+F f, *p;
+
+void
+foo ()
+{
+  do
+    {
+      f /= b ? *p : (F) {40};
+l:
+    }
+  while (a);
+  goto l;
+}

